
Redmine - Defect #7421

no email sent with 'Notifiy for any event on the selected projects only' 

2011-01-24 11:02 - Arnaud Martel

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version: 1.1.0

Description

I just upgraded from trunk (r4744) and I have trouble with notification:

How to reproduce:

In my account:

I selected "For any event on the selected projects only"

I checked project A and project B

Another user created an issue in project C and assigned it to me

=> No notification is sent to me

Another user created an issue in project B and assigned it to me

=> A notification is sent to me

According to "my account, Email notifications", I should have received an email ("For unselected projects, you will only receive

notifications about things you watch or you're involved in (eg. issues you're the author or assignee)."

A possible solution (not sure but...):

When looking at app/models/user.rb, there is a piece of code:

  # Utility method to help check if a user should be notified about an

  # event.

  #

  # TODO: only supports Issue events currently

  def notify_about?(object)

    case mail_notification

    when 'all'

      true

    when 'selected'

      # Handled by the Project

    when 'none'

      false

    when 'only_my_events'

      if object.is_a?(Issue) && (object.author == self || object.assigned_to == self)

        true

      else

        false

      end

 From what I understand, the "when 'selected'" case doesn't manage the unselected projects so I changed it to:

    when 'selected'

      # Handled by the Project

      if object.is_a?(Issue) && (object.author == self || object.assigned_to == self)

        true

      end

 And it seems to solve my problem (ie: notifications are working again...)

Kind regards,

Arnaud
https://www.redmine.org/projects/redmine/repository/svn/revisions/4744


Associated revisions

Revision 4761 - 2011-01-24 18:28 - Jean-Philippe Lang

Fixed: no email sent with 'Notifiy for any event on the selected projects only' (#7421).

History

#1 - 2011-01-24 18:30 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.1.1

- Affected version (unused) changed from devel to 1.1.0

- Resolution set to Fixed

- Affected version set to 1.1.0

This behaviour was broken by some refactoring (r4218). Fixed and tests added in r4761.

#2 - 2011-01-30 07:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable.
